---
title: "Decline to sign a field invite"
url: "https://docs.signnow.com/docs/document-field-invite/operations/post-v2-documents-document_id-field-invites-field_invite_id-full-decline"
type: "endpoint"
section: "document-field-invite"
slug: "document-field-invite/operations/post-v2-documents-document_id-field-invites-field_invite_id-full-decline"
method: "POST"
path: "/v2/documents/{document_id}/field-invites/{field_invite_id}/full-decline"
operation_id: "post-v2-documents-document_id-field-invites-field_invite_id-full-decline"
authorization: "bearer"
---

# Decline to sign a field invite

`POST /v2/documents/{document_id}/field-invites/{field_invite_id}/full-decline`

Allows API users to decline signing a field invite.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |
| `field_invite_id` | string | Yes | ID of the field invite. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "reason"
  ],
  "properties": {
    "reason": {
      "type": "string",
      "description": "The reason for decline."
    },
    "client_timestamp": {
      "type": "integer",
      "description": "Unix timestamp of decline."
    }
  },
  "x-examples": {
    "Example 1": {
      "reason": "decline reason",
      "client_timestamp": 1586523305
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "reason": "decline reason",
  "client_timestamp": 1586523305
}
```

## Responses

### 204

Success, no content

### 400

The access token is incorrect.

**Example** (`Incorrect access token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Requested document or field invite not found.
* The document is in the Trash folder. This action is forbidden.
* User does not have read access to this document.
* Requested field invite not in pending status.
* Document must not be part of a document group.
* Invite has expired.

**Example** (`Invite has expired`)

```json
{
  "errors": [
    {
      "code": 19001035,
      "message": "Invite has expired."
    }
  ]
}
```

**Example** (`Field invite does not belong to document`)

```json
{
  "errors": [
    {
      "code": 19001018,
      "message": "Field invite does not belong to document"
    }
  ]
}
```

**Example** (`Requested document or field invite not found`)

```json
{
  "errors": [
    {
      "code": 19002001,
      "message": "Document not found"
    }
  ]
}
```

**Example** (`Requested field invite not in pending status.`)

```json
{
  "errors": [
    {
      "code": 19001030,
      "message": "Requested field invite not in pending status."
    }
  ]
}
```

**Example** (`Document must not be part of a document group.`)

```json
{
  "errors": [
    {
      "code": 19001033,
      "message": "Document must not be part of a document group."
    }
  ]
}
```

**Example** (`User does not have read access to this document`)

```json
{
  "errors": [
    {
      "code": 19001031,
      "message": "User does not have read access to this document"
    }
  ]
}
```

**Example** (`Document is full declined. Please cancel the invite first.`)

```json
{
  "errors": [
    {
      "code": 19001034,
      "message": "Document is full declined. Please cancel the invite first."
    }
  ]
}
```

**Example** (`The document is in the Trash folder. This action is forbidden.`)

```json
{
  "errors": [
    {
      "code": 19001032,
      "message": "The document is in the Trash folder. This action is forbidden."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/documents/{document_id}/field-invites/{field_invite_id}/full-decline" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"reason": "decline reason", "client_timestamp": 1586523305}'
```

---
*Full reference: https://docs.signnow.com/docs/document-field-invite/operations/post-v2-documents-document_id-field-invites-field_invite_id-full-decline*
